@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,700);
@import url(https://fonts.googleapis.com/icon?family=Material+Icons);

.icon {
  font-family: 'Material Icons', serif;
  font-style: normal;
  font-size: x-large;
  display: inline-block;
  vertical-align: middle;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  font-feature-settings: 'liga';
  border: none;
}


/* VARIABLES */

:root {
  --main-color: #1a8fff;
  --text-color: #777;
  --text-color-light: #ccc;
  --border-color: #eee;
  --bg-color: #f9f9f9;
  --neutral-color: #fff;
}


/* GENERAL */

* {
  box-sizing: border-box;
}

body {
    font-family: 'Open Sans', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    font-size: 1em;
    font-weight: 300;
    line-height: 1.5;
    width:100%;
    color: var(--text-color);
    background: var(--bg-color);
    position: auto;
    overflow-x: hidden;
    overflow-y: auto;
}

header {
  display: block;
  position: static;
  width: 100%;
  border-bottom: 1px solid var(--border-color);
  background: var(--neutral-color);
}

header #logo {
  font-size: 175%;
  text-align: center;
  color: var(--main-color);
  line-height: 1;
}

header #logo .icon {
  padding-right: .25em;
}


/* GRID */

.row {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: inherit ;
  width: 100%;
}

.row-middle {
  align-items: center;
}

.col {
  flex-grow: 1;
  flex-basis: 0;
  max-width: 100%;
}

.col-start {
  justify-content: flex-start;
  text-align: left;
}

.col-center {
  justify-content: center;
  text-align: center;
}

.col-end {
  justify-content: flex-end;
  text-align: right;
}


/* Calendar */

.calendar {
  display: contents;
  position: static;
  width: 100%;
  background: var(--neutral-color);
  border: 1px solid var(--border-color);
}


.calendar .header {
  text-transform: uppercase;
  background-color: #ffffff;
  font-weight: 700;
  font-size: 115%;
  padding: 15px;
  border-bottom: 1px solid var(--border-color);
}


.calendar .header .icon {
  cursor: pointer;
  transition: .15s ;
}

.calendar .header .icon:hover {
  transform: scale(1.5);
  color: var(--main-color);
}

.calendar .header .icon:first-of-type {
  margin-left: 1em;
}

.calendar .header .icon:last-of-type {
  margin-right: 1em;
}

.calendar .days {
  text-transform: uppercase;
  font-weight: 300;
  font-size: 70%;
  padding: .75em 0;
  border: 1px solid var(--border-color);
}

.calendar .body .cell {
  position: relative;
  cursor: pointer;
  background: transparent;
  transition: 0.25s ease-out;
  border: 1px solid #eee;
  padding: 0;
}

.calendar .body .cell:hover {
  background: var(--bg-color);
  transition: 0.5s ease-out;
}

.calendar .body .current {
  background: linear-gradient(315deg, #1a8fff 0%,#53cbf1 20%, rgb(255, 254, 254, 0) 50%);
}

.calendar .body .row {
  height: 17vh;
  min-height: 125px;
}



.calendar .body .cell:last-child {
  border-right: 2px solid var(--border-color);
}  

.calendar .body .cell .bg {
  display: inline-block;
  color: var(--main-color);
  width: 100%;
  height:100%;
  box-sizing: border-box;
  position: absolute;
  overflow-y: hidden;
}

.calendar .body .cell .bg .text{
  opacity: 0.01 ;
  font-size: 8vh;
  bottom: -0.2em;
  letter-spacing: -.1em;
  position: absolute;
}

.calendar .body .cell .bg .number {
  position: absolute;
  z-index: 200;
  line-height: 1;
  letter-spacing: -.05em;
  top: .25em;
  right: .75em;
  font-weight: 600;
  float: right;
  color: black;
}

.calendar .body .cell .event{
  position: absolute;
  color: white;
  font-weight: 600;
  z-index: 200;
  padding-left: 5px;
  height: 25px;
  border-radius: 7px;
  border: 0.7px solid #eee;
}

.calendar .body .cell .event:hover{
  transform: translateX(calc(2%)) scaleY(1.05);
  z-index: 500;
}

.calendar .body .disabled {
  color: var(--text-color-light);
  pointer-events: none;
}

.calendar .body .cell .bg:hover .text, .calendar .body .current .bg:hover  {
  opacity: 0.3;
  transition: .5s ease-in;
}

.calendar .body .col {
  flex-grow: 0;
  flex-basis: calc(100%/7);
  width: calc(100%/7);
}
